summaryrefslogtreecommitdiffstats
path: root/graphics/fontmatrix
diff options
context:
space:
mode:
author Larry Hajali <larryhaja[at]gmail[dot]com>2010-05-12 23:29:42 +0200
committer David Somero <xgizzmo@slackbuilds.org>2010-05-12 23:29:42 +0200
commit0c3ded9b40c5b7b71aa10f0d6191164bacb7f16c (patch)
treeb716ed9d390b43a362fdf90e1bb78d9d118400a9 /graphics/fontmatrix
parentf39edf4fbea1cb41923693b0a6010ee883b8cf0e (diff)
downloadslackbuilds-0c3ded9b40c5b7b71aa10f0d6191164bacb7f16c.tar.gz
slackbuilds-0c3ded9b40c5b7b71aa10f0d6191164bacb7f16c.tar.xz
graphics/fontmatrix: Added to 12.2 repository
Diffstat (limited to 'graphics/fontmatrix')
-rw-r--r--graphics/fontmatrix/README15
-rw-r--r--graphics/fontmatrix/doinst.sh10
-rw-r--r--graphics/fontmatrix/fontmatrix.SlackBuild88
-rw-r--r--graphics/fontmatrix/fontmatrix.info8
-rw-r--r--graphics/fontmatrix/slack-desc19
5 files changed, 140 insertions, 0 deletions
diff --git a/graphics/fontmatrix/README b/graphics/fontmatrix/README
new file mode 100644
index 0000000000..25c89a8c04
--- /dev/null
+++ b/graphics/fontmatrix/README
@@ -0,0 +1,15 @@
+fontmatrix is a manager built with the kind of features and abilities
+graphic designers, layout professionals along with others have felt
+necessary, but modernized with some new touches.
+
+Fontmatrix has a concept of 'tagging'. This makes it really nice to
+group fonts and even sub-group them logically for use in a book for
+instance. It also has extensive gui support for showing all glyphs
+in a font, previews of sample text, variable sizing and also tells
+what kinds of advanced Open Type features are inside each font. These
+features have never been seen outside of a font editor. And not least,
+it creates a nice PDF catalogue of user's fonts for printing or
+reference. In short, fontmatrix is a font manager for professionals,
+but is nice and user friendly.
+
+Requires: Qt4. \ No newline at end of file
diff --git a/graphics/fontmatrix/doinst.sh b/graphics/fontmatrix/doinst.sh
new file mode 100644
index 0000000000..1f8ff67ded
--- /dev/null
+++ b/graphics/fontmatrix/doinst.sh
@@ -0,0 +1,10 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
+
+if [ -e usr/share/icons/hicolor/icon-theme.cache ]; then
+ if [ -x /usr/bin/gtk-update-icon-cache ]; then
+ /usr/bin/gtk-update-icon-cache usr/share/icons/hicolor >/dev/null 2>&1
+ fi
+fi
+
diff --git a/graphics/fontmatrix/fontmatrix.SlackBuild b/graphics/fontmatrix/fontmatrix.SlackBuild
new file mode 100644
index 0000000000..d0164c4db4
--- /dev/null
+++ b/graphics/fontmatrix/fontmatrix.SlackBuild
@@ -0,0 +1,88 @@
+#!/bin/sh
+
+# Slackware build script for fontmatrix
+
+# Written by Larry Hajali <larryhaja[at]gmail[dot]com>
+
+PRGNAM=fontmatrix
+VERSION=${VERSION:-0.4.2}
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION-Source
+tar xvf $CWD/$PRGNAM-$VERSION-Source.tar.gz
+cd $PRGNAM-$VERSION-Source
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+# Fix the desktop menu item.
+echo "" >> $PRGNAM.desktop
+echo "StartupNotify=false" >> $PRGNAM.desktop
+
+mkdir build && cd build
+ cmake \
+ -DCMAKE_INSTALL_PREFIX:PATH=/usr \
+ -DOWN_SHAPER=1 \
+ -DCMAKE_SKIP_RPATH:BOOL=1 \
+ -DRPATH_STYLE:STRING=none \
+ -DCMAKE_CXX_FLAGS:STRING="$SLKCFLAGS" \
+ -DCMAKE_C_FLAGS:STRING="$SLKCFLAGS" ..
+
+ make
+ make install DESTDIR=$PKG
+cd ..
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null || true
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null
+)
+
+rm -rf $PKG/usr/share/icons
+for i in 16 22 32 48 64 128; do
+ mkdir -p $PKG/usr/share/icons/hicolor/${i}x${i}/apps
+ install -m 0644 src/icons/application-fontmatrix_${i}.png \
+ $PKG/usr/share/icons/hicolor/${i}x${i}/apps/$PRGNAM.png
+done
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ COPYING INSTALL TODO harfbuzz/{COPYING.*,README,AUTHORS} \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat harfbuzz/COPYING > $PKG/usr/doc/$PRGNAM-$VERSION/COPYING.harfbuzz
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+chmod 0644 $PKG/usr/doc/$PRGNAM-$VERSION/*
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/graphics/fontmatrix/fontmatrix.info b/graphics/fontmatrix/fontmatrix.info
new file mode 100644
index 0000000000..c62a967591
--- /dev/null
+++ b/graphics/fontmatrix/fontmatrix.info
@@ -0,0 +1,8 @@
+PRGNAM="fontmatrix"
+VERSION="0.4.2"
+HOMEPAGE="http://fontmatrix.net/"
+DOWNLOAD="http://fontmatrix.net/archives/fontmatrix-0.4.2-Source.tar.gz"
+MD5SUM="8ad43c26162b33b2a9eb9f11a02a93c2"
+MAINTAINER="Larry Hajali"
+EMAIL="larryhaja[at]gmail[dot]com"
+APPROVED="dsomero"
diff --git a/graphics/fontmatrix/slack-desc b/graphics/fontmatrix/slack-desc
new file mode 100644
index 0000000000..4b918cdf50
--- /dev/null
+++ b/graphics/fontmatrix/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|' on
+# the right side marks the last column you can put a character in. You must make
+# exactly 11 lines for the formatting to be correct. It's also customary to
+# leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+fontmatrix: fontmatrix (font manager)
+fontmatrix:
+fontmatrix: fontmatrix is a manager built with the kind of features and abilities
+fontmatrix: graphic designers, layout professionals along with others have felt
+fontmatrix: necessary, but modernized with some new touches.
+fontmatrix:
+fontmatrix: Homepage: http://fontmatrix.net/
+fontmatrix:
+fontmatrix:
+fontmatrix:
+fontmatrix: